> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/instant-issuance/instant-issuance-ja/meru.md).

# 始める

インスタント発行により、支店やキオスクで物理カードを即座に発行できます。

D1 を使用してパーソナライズ処理をオーケストレーションし、発行の状況をイシュアのバックエンドに返します。

### あなたが構築するもの

あなたが統合するもの：

* あなたの **イシュアのバックエンド**、D1 API を使ってカード発行をリクエストするため。
* その **Thales Instant Issuance Agent**、支店やキオスク環境で実行されます。
* 1つの **パーソナライズステーション** 識別子（`persoStation`）、適切なステーションへ発行をルーティングするためのものです。

### エンドツーエンドのフロー（概要）

1. エンドユーザーがカードをリクエストします（例：イシュアのアプリケーションやキオスクで）。
2. イシュアのバックエンドは、Physical issuance API を使って発行をリクエストします（ `distributionChannel=INSTANT`.
3. D1 バックエンドは発行データを準備します。
4. D1 バックエンドは発行データを Thales Instant Issuance Agent にルーティングします。
5. D1 は発行状況の更新をイシュアのバックエンドに送信します（推奨）。

### 開始前に

* D1 のオンボーディングを完了してください。
* カード製品とパーソナライズテンプレートを設定してください。
* 支店またはキオスク環境に Thales Instant Issuance Agent をインストールして登録してください。
* 少なくとも1つのパーソナライズステーションを登録し、その `persoStation` 識別子を取得してください。
* イシュアのバックエンドを Physical issuance API と統合してください。
* D1 API を呼び出すための着信接続と認可を設定してください。
* 発行状況通知を受け取るための発信接続を設定してください。

### インスタント発行を統合する

{% stepper %}
{% step %}

### 接続と認可を設定する

イシュアのバックエンドから D1 バックエンドへの呼び出しに対して、相互 TLS と OAuth 2.0 アクセストークンを設定してください。

* [TLS 相互認証を設定する](/instant-issuance/instant-issuance-ja/d1-api-wosuru/tls-wosuru.md)
* [OAuth2.0 アクセストークンを取得する](/instant-issuance/instant-issuance-ja/d1-api-wosuru/oauth20-akusesutkunwosuru.md)
  {% endstep %}

{% step %}

### 機密データを暗号化する

D1 に送信する前に JWE を使ってカードデータフィールドを暗号化してください。

* [機密データを暗号化する](/instant-issuance/instant-issuance-ja/d1-api-wosuru/dtawosuru.md)
  {% endstep %}

{% step %}

### カード発行をリクエストする

Produce physical card オペレーションを呼び出してください。

次の値を設定してください `distributionChannel` に `INSTANT`.

インスタント発行に必要なフィールドを提供してください：

* `persoStation`：パーソナライズステーションの識別子
* `encryptedData`：JWE で暗号化されたカードデータフィールド
* `services`：D1 のオンボーディング時に設定された発行オプション
* `paymentApplication`：D1 のオンボーディング時に設定された EMV 構成の参照

{% hint style="info" %}
`persoStation` は D1 のオンボーディング中に定義されます。

これを使用して特定の支店やキオスクステーションへ発行をルーティングします。
{% endhint %}

* [Physical Issuance API](/instant-issuance/instant-issuance-ja/d1-api-wosuru/d1-api-rifarensu/apid1-he/wu-li-fa-xing-api.md)

例（主要パラメータのみ）：

```json
{
  "distributionChannel": "INSTANT",
  "persoStation": "KIOSK-PS-101"
}
```

{% endstep %}

{% step %}

### 発行状況の更新を受信する

イシュアのバックエンドで発行状況の更新を処理してください。

物理カード発行のステータス更新イベントのバックエンド通知を設定してください（例： `Produce`).

* [D1 通知を統合する](/instant-issuance/instant-issuance-ja/d1-wosuru.md)
  {% endstep %}
  {% endstepper %}

### 次のステップ

* [インスタント発行を実装する](/instant-issuance/instant-issuance-ja/wosuru.md)
* [カード注文](/instant-issuance/instant-issuance-ja/wosuru/kdo.md)
* [D1 API リファレンス](/instant-issuance/instant-issuance-ja/d1-api-wosuru/d1-api-rifarensu.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/instant-issuance/instant-issuance-ja/meru.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
